toolzerhub API Docs

Get Instagram post view counts

Returns view counts for a public Instagram reel from its shortcode or URL. video_view_count is the embed view count. play_count is the plays shown on the owner's Reels tab, found only among their 36 newest reels. They are different metrics.

1 credit / requestBilled only on success
GET
/v1/instagram/post/views

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

code*string

Post or reel shortcode (the path segment after /p/ or /reel/), or the full post URL.

Length1 <= length
curl -X GET "https://example.com/v1/instagram/post/views?code=DZpQwxqimz2" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "code": "string",    "media_id": "string",    "product_type": "string",    "is_video": true,    "video_view_count": 0,    "play_count": 0,    "play_count_source": "reels_tab",    "like_count": 0,    "comment_count": 0,    "video_duration": 0,    "owner": {      "id": "string",      "username": "string",      "is_verified": true,      "follower_count": 0,      "property1": null,      "property2": null    },    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}